### Function Macro

# GLib scanner_remove_symbol

deprecated: 2.2

#### Declaration

    #define g_scanner_remove_symbol (
      scanner,
      symbol
    )

#### Description

Removes a symbol from the default scope.

Deprecated since: 2.2

Use `g_scanner_scope_remove_symbol()` instead.

This function is not directly available to language bindings.

#### Parameters

`scanner`

  Type: `-`

  A `GScanner`.

`symbol`

  Type: `-`

  The symbol to remove.